oxigraph-query(1)

NAME
oxigraph-query - Execute a SPARQL query against the store

SYNOPSIS
oxigraph query <-l|--location> [-q|--query] [--query-file] [--query-base] [-r|--results-file] [--results-format] [--explain] [--explain-file] [--stats] [--union-default-graph] [-h|--help]

DESCRIPTION
Execute a SPARQL query against the store

OPTIONS

-l, --location=LOCATION
    Directory in which Oxigraph data are persisted

-q, --query=QUERY
    The SPARQL query to execute

    If no query or query file are given, stdin is used.

--query-file=QUERY_FILE
    File in which the query is stored

    If no query or query file are given, stdin is used.

--query-base=QUERY_BASE
    Base IRI of the query

-r, --results-file=RESULTS_FILE
    File in which the query results will be stored

    If no file is given, stdout is used.

--results-format=RESULTS_FORMAT
    The results format

    It can be an extension like "nt" or a MIME type like "application/n-triples".

    By default the format is guessed from the results file extension.

--explain
    Print to stderr a human-readable explanation of the query evaluation

    Use the stats option to print also query evaluation statistics.

--explain-file=EXPLAIN_FILE
    Write to the given file an explanation of the query evaluation

    If the file extension is .json the JSON format is used, if .txt a human readable format is used.

    Use the stats option to print also query evaluation statistics.

--stats
    Compute some evaluation statistics to print as part of the query explanations

    Beware, computing the statistics adds some overhead to the evaluation runtime.

--union-default-graph
    If the SPARQL queries should look for triples in all the dataset graphs by default (ie. without `GRAPH` operations)

-h, --help
    Print help (see a summary with '-h')